import * as Sentry from '@sentry/react';
import { KnownAppSDK } from '@contentful/app-sdk';
interface SentryMarketplaceAppSdk {
    init: (configOptions?: Sentry.BrowserOptions) => void;
    setContentfulSentryContext: (sdkIds: KnownAppSDK['ids'], sdkLocation: KnownAppSDK['location'], appName?: string) => void;
    client: typeof Sentry;
}
export declare const sentryMarketplaceAppsSDK: SentryMarketplaceAppSdk;
export {};
