import getUserCookieConsent from './getUserCookieConsent';
const sdk = {
    user: {
        consentRecord: {
            userInterface: {
                consentRecord: {
                    STORAGE: 'ACCEPT',
                },
            },
        },
    },
};
describe('getUserCookieConsent', () => {
    it('should return true if it exists', () => {
        expect(getUserCookieConsent(sdk, 'STORAGE')).toBeTruthy();
    });
    it('should return false if it does not exist', () => {
        expect(getUserCookieConsent(sdk, 'ANALYTICS')).toBeFalsy();
    });
});
